import{S as Vd,i as Od,s as Dd,e as r,k as p,w as A,t as n,M as Sd,c as s,d as o,m as f,a as i,x as $,h as a,b as d,G as e,g as _,y as k,q as w,o as y,B as T,v as Fd,L as Xt}from"../../chunks/vendor-hf-doc-builder.js";import{T as Nn}from"../../chunks/Tip-hf-doc-builder.js";import{D as j}from"../../chunks/Docstring-hf-doc-builder.js";import{C as et}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as U}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Qt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Bd(x){let c,b,u,m,v;return m=new et({props:{code:`from transformers import AlignConfig, AlignModel

# Initializing a AlignConfig with kakaobrain/align-base style configuration
configuration = AlignConfig()

# Initializing a AlignModel (with random weights) from the kakaobrain/align-base style configuration
model = AlignModel(configuration)

# Accessing the model configuration
configuration = model.config

# We can also initialize a AlignConfig from a AlignTextConfig and a AlignVisionConfig
from transformers import AlignTextConfig, AlignVisionConfig

# Initializing ALIGN Text and Vision configurations
config_text = AlignTextConfig()
config_vision = AlignVisionConfig()

config = AlignConfig.from_text_vision_configs(config_text, config_vision)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignConfig, AlignModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignConfig with kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = AlignConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignModel (with random weights) from the kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># We can also initialize a AlignConfig from a AlignTextConfig and a AlignVisionConfig</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignTextConfig, AlignVisionConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing ALIGN Text and Vision configurations</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config_text = AlignTextConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span>config_vision = AlignVisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span>config = AlignConfig.from_text_vision_configs(config_text, config_vision)`}}),{c(){c=r("p"),b=n("Example:"),u=p(),A(m.$$.fragment)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Example:"),g.forEach(o),u=f(l),$(m.$$.fragment,l)},m(l,g){_(l,c,g),e(c,b),_(l,u,g),k(m,l,g),v=!0},p:Xt,i(l){v||(w(m.$$.fragment,l),v=!0)},o(l){y(m.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(u),T(m,l)}}}function Wd(x){let c,b,u,m,v;return m=new et({props:{code:`from transformers import AlignTextConfig, AlignTextModel

# Initializing a AlignTextConfig with kakaobrain/align-base style configuration
configuration = AlignTextConfig()

# Initializing a AlignTextModel (with random weights) from the kakaobrain/align-base style configuration
model = AlignTextModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignTextConfig, AlignTextModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignTextConfig with kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = AlignTextConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignTextModel (with random weights) from the kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignTextModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=r("p"),b=n("Example:"),u=p(),A(m.$$.fragment)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Example:"),g.forEach(o),u=f(l),$(m.$$.fragment,l)},m(l,g){_(l,c,g),e(c,b),_(l,u,g),k(m,l,g),v=!0},p:Xt,i(l){v||(w(m.$$.fragment,l),v=!0)},o(l){y(m.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(u),T(m,l)}}}function Gd(x){let c,b,u,m,v;return m=new et({props:{code:`from transformers import AlignVisionConfig, AlignVisionModel

# Initializing a AlignVisionConfig with kakaobrain/align-base style configuration
configuration = AlignVisionConfig()

# Initializing a AlignVisionModel (with random weights) from the kakaobrain/align-base style configuration
model = AlignVisionModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignVisionConfig, AlignVisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignVisionConfig with kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = AlignVisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignVisionModel (with random weights) from the kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignVisionModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=r("p"),b=n("Example:"),u=p(),A(m.$$.fragment)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Example:"),g.forEach(o),u=f(l),$(m.$$.fragment,l)},m(l,g){_(l,c,g),e(c,b),_(l,u,g),k(m,l,g),v=!0},p:Xt,i(l){v||(w(m.$$.fragment,l),v=!0)},o(l){y(m.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(u),T(m,l)}}}function Rd(x){let c,b,u,m,v;return{c(){c=r("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var E=i(u);m=a(E,"Module"),E.forEach(o),v=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(l,g){_(l,c,g),e(c,b),e(c,u),e(u,m),e(c,v)},d(l){l&&o(c)}}}function Hd(x){let c,b,u,m,v;return{c(){c=r("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var E=i(u);m=a(E,"Module"),E.forEach(o),v=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(l,g){_(l,c,g),e(c,b),e(c,u),e(u,m),e(c,v)},d(l){l&&o(c)}}}function Ud(x){let c,b,u,m,v;return m=new et({props:{code:`from transformers import AutoTokenizer, AlignModel

model = AlignModel.from_pretrained("kakaobrain/align-base")
tokenizer = AutoTokenizer.from_pretrained("kakaobrain/align-base")

inputs = tokenizer(["a photo of a cat", "a photo of a dog"], padding=True, return_tensors="pt")
text_features = model.get_text_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlignModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], padding=<span class="hljs-literal">True</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>text_features = model.get_text_features(**inputs)`}}),{c(){c=r("p"),b=n("Examples:"),u=p(),A(m.$$.fragment)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Examples:"),g.forEach(o),u=f(l),$(m.$$.fragment,l)},m(l,g){_(l,c,g),e(c,b),_(l,u,g),k(m,l,g),v=!0},p:Xt,i(l){v||(w(m.$$.fragment,l),v=!0)},o(l){y(m.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(u),T(m,l)}}}function Yd(x){let c,b,u,m,v;return{c(){c=r("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var E=i(u);m=a(E,"Module"),E.forEach(o),v=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(l,g){_(l,c,g),e(c,b),e(c,u),e(u,m),e(c,v)},d(l){l&&o(c)}}}function Kd(x){let c,b,u,m,v;return m=new et({props:{code:`from PIL import Image
import requests
from transformers import AutoProcessor, AlignModel

model = AlignModel.from_pretrained("kakaobrain/align-base")
processor = AutoProcessor.from_pretrained("kakaobrain/align-base")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = processor(images=image, return_tensors="pt")

image_features = model.get_image_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AlignModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_features = model.get_image_features(**inputs)`}}),{c(){c=r("p"),b=n("Examples:"),u=p(),A(m.$$.fragment)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Examples:"),g.forEach(o),u=f(l),$(m.$$.fragment,l)},m(l,g){_(l,c,g),e(c,b),_(l,u,g),k(m,l,g),v=!0},p:Xt,i(l){v||(w(m.$$.fragment,l),v=!0)},o(l){y(m.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(u),T(m,l)}}}function Zd(x){let c,b,u,m,v;return{c(){c=r("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var E=i(u);m=a(E,"Module"),E.forEach(o),v=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(l,g){_(l,c,g),e(c,b),e(c,u),e(u,m),e(c,v)},d(l){l&&o(c)}}}function Jd(x){let c,b,u,m,v;return m=new et({props:{code:`from transformers import AutoTokenizer, AlignTextModel

model = AlignTextModel.from_pretrained("kakaobrain/align-base")
tokenizer = AutoTokenizer.from_pretrained("kakaobrain/align-base")

inputs = tokenizer(["a photo of a cat", "a photo of a dog"], padding=True, return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooled_output = outputs.pooler_output  # pooled (EOS token) states`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlignTextModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignTextModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], padding=<span class="hljs-literal">True</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooled_output = outputs.pooler_output  <span class="hljs-comment"># pooled (EOS token) states</span>`}}),{c(){c=r("p"),b=n("Examples:"),u=p(),A(m.$$.fragment)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Examples:"),g.forEach(o),u=f(l),$(m.$$.fragment,l)},m(l,g){_(l,c,g),e(c,b),_(l,u,g),k(m,l,g),v=!0},p:Xt,i(l){v||(w(m.$$.fragment,l),v=!0)},o(l){y(m.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(u),T(m,l)}}}function Qd(x){let c,b,u,m,v;return{c(){c=r("p"),b=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s(g,"CODE",{});var E=i(u);m=a(E,"Module"),E.forEach(o),v=a(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(l,g){_(l,c,g),e(c,b),e(c,u),e(u,m),e(c,v)},d(l){l&&o(c)}}}function Xd(x){let c,b,u,m,v;return m=new et({props:{code:`from PIL import Image
import requests
from transformers import AutoProcessor, AlignVisionModel

model = AlignVisionModel.from_pretrained("kakaobrain/align-base")
processor = AutoProcessor.from_pretrained("kakaobrain/align-base")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = processor(images=image, return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooled_output = outputs.pooler_output  # pooled CLS states`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AlignVisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignVisionModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooled_output = outputs.pooler_output  <span class="hljs-comment"># pooled CLS states</span>`}}),{c(){c=r("p"),b=n("Examples:"),u=p(),A(m.$$.fragment)},l(l){c=s(l,"P",{});var g=i(c);b=a(g,"Examples:"),g.forEach(o),u=f(l),$(m.$$.fragment,l)},m(l,g){_(l,c,g),e(c,b),_(l,u,g),k(m,l,g),v=!0},p:Xt,i(l){v||(w(m.$$.fragment,l),v=!0)},o(l){y(m.$$.fragment,l),v=!1},d(l){l&&o(c),l&&o(u),T(m,l)}}}function ec(x){let c,b,u,m,v,l,g,E,qa,Ln,Q,ve,Zo,tt,Na,Jo,La,Vn,O,Va,ot,Oa,Da,eo,Sa,Fa,to,Ba,Wa,On,oo,Ga,Dn,no,Qo,Ra,Sn,X,be,Xo,nt,Ha,en,Ua,Fn,ao,Ya,Bn,M,ro,Ka,Za,so,Ja,Qa,io,Xa,er,lo,tr,or,co,nr,ar,Wn,at,Gn,Ae,rr,rt,sr,ir,Rn,ee,$e,tn,st,lr,on,dr,Hn,po,cr,Un,Y,it,pr,lt,fr,gr,mr,dt,hr,ct,ur,_r,vr,ke,pt,br,Ar,nn,$r,kr,Yn,fo,wr,Kn,te,we,an,ft,yr,rn,Tr,Zn,C,gt,xr,K,go,Er,Pr,mo,Mr,Cr,mt,zr,jr,Ir,oe,qr,ho,Nr,Lr,uo,Vr,Or,Dr,ye,Sr,Te,ht,Fr,ut,Br,_o,Wr,Gr,Jn,ne,xe,sn,_t,Rr,ln,Hr,Qn,I,vt,Ur,ae,Yr,vo,Kr,Zr,bt,Jr,Qr,Xr,re,es,bo,ts,os,Ao,ns,as,rs,Ee,Xn,se,Pe,dn,At,ss,cn,is,ea,q,$t,ls,ie,ds,$o,cs,ps,kt,fs,gs,ms,le,hs,ko,us,_s,wo,vs,bs,As,Me,ta,de,Ce,pn,wt,$s,fn,ks,oa,N,yt,ws,z,ys,yo,Ts,xs,To,Es,Ps,xo,Ms,Cs,gn,zs,js,Eo,Is,qs,Ns,ze,Tt,Ls,xt,Vs,Po,Os,Ds,Ss,je,Et,Fs,Pt,Bs,Mo,Ws,Gs,na,ce,Ie,mn,Mt,Rs,hn,Hs,aa,P,Ct,Us,zt,Ys,Co,Ks,Zs,Js,jt,Qs,It,Xs,ei,ti,Z,qt,oi,pe,ni,zo,ai,ri,un,si,ii,li,qe,di,D,Nt,ci,fe,pi,jo,fi,gi,_n,mi,hi,ui,Ne,_i,Le,vi,S,Lt,bi,ge,Ai,Io,$i,ki,vn,wi,yi,Ti,Ve,xi,Oe,ra,me,De,bn,Vt,Ei,An,Pi,sa,L,Ot,Mi,Dt,Ci,qo,zi,ji,Ii,St,qi,Ft,Ni,Li,Vi,F,Bt,Oi,he,Di,No,Si,Fi,$n,Bi,Wi,Gi,Se,Ri,Fe,ia,ue,Be,kn,Wt,Hi,wn,Ui,la,V,Gt,Yi,Rt,Ki,Lo,Zi,Ji,Qi,Ht,Xi,Ut,el,tl,ol,B,Yt,nl,_e,al,Vo,rl,sl,yn,il,ll,dl,We,cl,Ge,da;return l=new U({}),tt=new U({}),nt=new U({}),at=new et({props:{code:`import requests
import torch
from PIL import Image
from transformers import AlignProcessor, AlignModel

processor = AlignProcessor.from_pretrained("kakaobrain/align-base")
model = AlignModel.from_pretrained("kakaobrain/align-base")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
candidate_labels = ["an image of a cat", "an image of a dog"]

inputs = processor(text=candidate_labels, images=image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

# this is the image-text similarity score
logits_per_image = outputs.logits_per_image

# we can take the softmax to get the label probabilities
probs = logits_per_image.softmax(dim=1)
print(probs)`,highlighted:`<span class="hljs-keyword">import</span> requests
<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignProcessor, AlignModel

processor = AlignProcessor.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
model = AlignModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
candidate_labels = [<span class="hljs-string">&quot;an image of a cat&quot;</span>, <span class="hljs-string">&quot;an image of a dog&quot;</span>]

inputs = processor(text=candidate_labels, images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-keyword">with</span> torch.no_grad():
    outputs = model(**inputs)

<span class="hljs-comment"># this is the image-text similarity score</span>
logits_per_image = outputs.logits_per_image

<span class="hljs-comment"># we can take the softmax to get the label probabilities</span>
probs = logits_per_image.softmax(dim=<span class="hljs-number">1</span>)
<span class="hljs-built_in">print</span>(probs)`}}),st=new U({}),ft=new U({}),gt=new j({props:{name:"class transformers.AlignConfig",anchor:"transformers.AlignConfig",parameters:[{name:"text_config",val:" = None"},{name:"vision_config",val:" = None"},{name:"projection_dim",val:" = 640"},{name:"temperature_init_value",val:" = 1.0"},{name:"initializer_range",val:" = 0.02"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlignConfig.text_config",description:`<strong>text_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignTextConfig">AlignTextConfig</a>.`,name:"text_config"},{anchor:"transformers.AlignConfig.vision_config",description:`<strong>vision_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignVisionConfig">AlignVisionConfig</a>.`,name:"vision_config"},{anchor:"transformers.AlignConfig.projection_dim",description:`<strong>projection_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 640) &#x2014;
Dimentionality of text and vision projection layers.`,name:"projection_dim"},{anchor:"transformers.AlignConfig.temperature_init_value",description:`<strong>temperature_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
The inital value of the <em>temperature</em> paramter. Default is used as per the original ALIGN implementation.`,name:"temperature_init_value"},{anchor:"transformers.AlignConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlignConfig.kwargs",description:`<strong>kwargs</strong> (<em>optional</em>) &#x2014;
Dictionary of keyword arguments.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/configuration_align.py#L298"}}),ye=new Qt({props:{anchor:"transformers.AlignConfig.example",$$slots:{default:[Bd]},$$scope:{ctx:x}}}),ht=new j({props:{name:"from_text_vision_configs",anchor:"transformers.AlignConfig.from_text_vision_configs",parameters:[{name:"text_config",val:": AlignTextConfig"},{name:"vision_config",val:": AlignVisionConfig"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/configuration_align.py#L375",returnDescription:`
<p>An instance of a configuration object</p>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignConfig"
>AlignConfig</a></p>
`}}),_t=new U({}),vt=new j({props:{name:"class transformers.AlignTextConfig",anchor:"transformers.AlignTextConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 0"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlignTextConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the Align Text model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignTextModel">AlignTextModel</a>.`,name:"vocab_size"},{anchor:"transformers.AlignTextConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.AlignTextConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.AlignTextConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.AlignTextConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.AlignTextConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.AlignTextConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.AlignTextConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.AlignTextConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.AlignTextConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignTextModel">AlignTextModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.AlignTextConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlignTextConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.AlignTextConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.AlignTextConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.AlignTextConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
Padding token id.`,name:"pad_token_id"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/configuration_align.py#L36"}}),Ee=new Qt({props:{anchor:"transformers.AlignTextConfig.example",$$slots:{default:[Wd]},$$scope:{ctx:x}}}),At=new U({}),$t=new j({props:{name:"class transformers.AlignVisionConfig",anchor:"transformers.AlignVisionConfig",parameters:[{name:"num_channels",val:": int = 3"},{name:"image_size",val:": int = 600"},{name:"width_coefficient",val:": float = 2.0"},{name:"depth_coefficient",val:": float = 3.1"},{name:"depth_divisor",val:": int = 8"},{name:"kernel_sizes",val:": typing.List[int] = [3, 3, 5, 3, 5, 5, 3]"},{name:"in_channels",val:": typing.List[int] = [32, 16, 24, 40, 80, 112, 192]"},{name:"out_channels",val:": typing.List[int] = [16, 24, 40, 80, 112, 192, 320]"},{name:"depthwise_padding",val:": typing.List[int] = []"},{name:"strides",val:": typing.List[int] = [1, 2, 2, 2, 1, 2, 1]"},{name:"num_block_repeats",val:": typing.List[int] = [1, 2, 2, 3, 3, 4, 1]"},{name:"expand_ratios",val:": typing.List[int] = [1, 6, 6, 6, 6, 6, 6]"},{name:"squeeze_expansion_ratio",val:": float = 0.25"},{name:"hidden_act",val:": str = 'swish'"},{name:"hidden_dim",val:": int = 2560"},{name:"pooling_type",val:": str = 'mean'"},{name:"initializer_range",val:": float = 0.02"},{name:"batch_norm_eps",val:": float = 0.001"},{name:"batch_norm_momentum",val:": float = 0.99"},{name:"dropout_rate",val:": float = 0.5"},{name:"drop_connect_rate",val:": float = 0.2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlignVisionConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.AlignVisionConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 600) &#x2014;
The input image size.`,name:"image_size"},{anchor:"transformers.AlignVisionConfig.width_coefficient",description:`<strong>width_coefficient</strong> (<code>float</code>, <em>optional</em>, defaults to 2.0) &#x2014;
Scaling coefficient for network width at each stage.`,name:"width_coefficient"},{anchor:"transformers.AlignVisionConfig.depth_coefficient",description:`<strong>depth_coefficient</strong> (<code>float</code>, <em>optional</em>, defaults to 3.1) &#x2014;
Scaling coefficient for network depth at each stage.`,name:"depth_coefficient"},{anchor:"transformers.AlignVisionConfig.depth_divisor",description:`<strong>depth_divisor</strong> <code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
A unit of network width.`,name:"depth_divisor"},{anchor:"transformers.AlignVisionConfig.kernel_sizes",description:`<strong>kernel_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 3, 5, 3, 5, 5, 3]</code>) &#x2014;
List of kernel sizes to be used in each block.`,name:"kernel_sizes"},{anchor:"transformers.AlignVisionConfig.in_channels",description:`<strong>in_channels</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[32, 16, 24, 40, 80, 112, 192]</code>) &#x2014;
List of input channel sizes to be used in each block for convolutional layers.`,name:"in_channels"},{anchor:"transformers.AlignVisionConfig.out_channels",description:`<strong>out_channels</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[16, 24, 40, 80, 112, 192, 320]</code>) &#x2014;
List of output channel sizes to be used in each block for convolutional layers.`,name:"out_channels"},{anchor:"transformers.AlignVisionConfig.depthwise_padding",description:`<strong>depthwise_padding</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[]</code>) &#x2014;
List of block indices with square padding.
strides &#x2014; (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 2, 2, 2, 1, 2, 1]</code>):
List of stride sizes to be used in each block for convolutional layers.`,name:"depthwise_padding"},{anchor:"transformers.AlignVisionConfig.num_block_repeats",description:`<strong>num_block_repeats</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 2, 2, 3, 3, 4, 1]</code>) &#x2014;
List of the number of times each block is to repeated.`,name:"num_block_repeats"},{anchor:"transformers.AlignVisionConfig.expand_ratios",description:`<strong>expand_ratios</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 6, 6, 6, 6, 6, 6]</code>) &#x2014;
List of scaling coefficient of each block.`,name:"expand_ratios"},{anchor:"transformers.AlignVisionConfig.squeeze_expansion_ratio",description:`<strong>squeeze_expansion_ratio</strong> (<code>float</code>, <em>optional</em>, defaults to 0.25) &#x2014;
Squeeze expansion ratio.`,name:"squeeze_expansion_ratio"},{anchor:"transformers.AlignVisionConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>,
<code>&quot;selu&quot;, </code>&#x201C;gelu_new&#x201D;<code>, </code>&#x201C;silu&#x201D;<code>and</code>&#x201C;mish&#x201D;\` are supported.`,name:"hidden_act"},{anchor:"transformers.AlignVisionConfig.hiddem_dim",description:`<strong>hiddem_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014;
The hidden dimension of the layer before the classification head.`,name:"hiddem_dim"},{anchor:"transformers.AlignVisionConfig.pooling_type",description:`<strong>pooling_type</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;mean&quot;</code>) &#x2014;
Type of final pooling to be applied before the dense classification head. Available options are [<code>&quot;mean&quot;</code>,
<code>&quot;max&quot;</code>]`,name:"pooling_type"},{anchor:"transformers.AlignVisionConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlignVisionConfig.batch_norm_eps",description:`<strong>batch_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-3) &#x2014;
The epsilon used by the batch normalization layers.`,name:"batch_norm_eps"},{anchor:"transformers.AlignVisionConfig.batch_norm_momentum",description:`<strong>batch_norm_momentum</strong> (<code>float</code>, <em>optional</em>, defaults to 0.99) &#x2014;
The momentum used by the batch normalization layers.`,name:"batch_norm_momentum"},{anchor:"transformers.AlignVisionConfig.dropout_rate",description:`<strong>dropout_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
The dropout rate to be applied before final classifier layer.`,name:"dropout_rate"},{anchor:"transformers.AlignVisionConfig.drop_connect_rate",description:`<strong>drop_connect_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.2) &#x2014;
The drop rate for skip connections.`,name:"drop_connect_rate"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/configuration_align.py#L157"}}),Me=new Qt({props:{anchor:"transformers.AlignVisionConfig.example",$$slots:{default:[Gd]},$$scope:{ctx:x}}}),wt=new U({}),yt=new j({props:{name:"class transformers.AlignProcessor",anchor:"transformers.AlignProcessor",parameters:[{name:"image_processor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.AlignProcessor.image_processor",description:`<strong>image_processor</strong> (<a href="/docs/transformers/pr_22262/en/model_doc/efficientnet#transformers.EfficientNetImageProcessor">EfficientNetImageProcessor</a>) &#x2014;
The image processor is a required input.`,name:"image_processor"},{anchor:"transformers.AlignProcessor.tokenizer",description:`<strong>tokenizer</strong> ([<code>BertTokenizer</code>, <code>BertTokenizerFast</code>]) &#x2014;
The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/processing_align.py#L24"}}),Tt=new j({props:{name:"batch_decode",anchor:"transformers.AlignProcessor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/processing_align.py#L104"}}),Et=new j({props:{name:"decode",anchor:"transformers.AlignProcessor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/processing_align.py#L111"}}),Mt=new U({}),Ct=new j({props:{name:"class transformers.AlignModel",anchor:"transformers.AlignModel",parameters:[{name:"config",val:": AlignConfig"}],parametersDescription:[{anchor:"transformers.AlignModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignConfig">AlignConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/modeling_align.py#L1418"}}),qt=new j({props:{name:"forward",anchor:"transformers.AlignModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"return_loss",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>
attention_mask (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>):
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>
position_ids (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>):
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>
token_type_ids (<code>torch.LongTensor</code> of shape <code>({0})</code>, <em>optional</em>):
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>
head_mask (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>):
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>
<p>inputs_embeds (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>):
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.
pixel_values (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>):
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_22262/en/model_doc/videomae#transformers.VideoMAEFeatureExtractor.__call__">EfficientNetImageProcessor.<strong>call</strong>()</a> for details.
return_loss (<code>bool</code>, <em>optional</em>):
Whether or not to return the contrastive loss.
output_attentions (<code>bool</code>, <em>optional</em>):
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.
output_hidden_states (<code>bool</code>, <em>optional</em>):
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.
return_dict (<code>bool</code>, <em>optional</em>):
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"input_ids"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/modeling_align.py#L1549"}}),qe=new Nn({props:{$$slots:{default:[Rd]},$$scope:{ctx:x}}}),Nt=new j({props:{name:"get_text_features",anchor:"transformers.AlignModel.get_text_features",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignModel.get_text_features.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlignModel.get_text_features.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlignModel.get_text_features.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlignModel.get_text_features.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlignModel.get_text_features.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlignModel.get_text_features.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlignModel.get_text_features.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlignModel.get_text_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlignModel.get_text_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/modeling_align.py#L1451",returnDescription:`
<p>The text embeddings obtained by
applying the projection layer to the pooled output of <a
  href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignTextModel"
>AlignTextModel</a>.</p>
`,returnType:`
<p>text_features (<code>torch.FloatTensor</code> of shape <code>(batch_size, output_dim</code>)</p>
`}}),Ne=new Nn({props:{$$slots:{default:[Hd]},$$scope:{ctx:x}}}),Le=new Qt({props:{anchor:"transformers.AlignModel.get_text_features.example",$$slots:{default:[Ud]},$$scope:{ctx:x}}}),Lt=new j({props:{name:"get_image_features",anchor:"transformers.AlignModel.get_image_features",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignModel.get_image_features.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_22262/en/model_doc/videomae#transformers.VideoMAEFeatureExtractor.__call__">EfficientNetImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.AlignModel.get_image_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlignModel.get_image_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/modeling_align.py#L1504",returnDescription:`
<p>The image embeddings obtained by
applying the projection layer to the pooled output of <a
  href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignVisionModel"
>AlignVisionModel</a>.</p>
`,returnType:`
<p>image_features (<code>torch.FloatTensor</code> of shape <code>(batch_size, output_dim</code>)</p>
`}}),Ve=new Nn({props:{$$slots:{default:[Yd]},$$scope:{ctx:x}}}),Oe=new Qt({props:{anchor:"transformers.AlignModel.get_image_features.example",$$slots:{default:[Kd]},$$scope:{ctx:x}}}),Vt=new U({}),Ot=new j({props:{name:"class transformers.AlignTextModel",anchor:"transformers.AlignTextModel",parameters:[{name:"config",val:": AlignTextConfig"},{name:"add_pooling_layer",val:": bool = True"}],parametersDescription:[{anchor:"transformers.AlignTextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignConfig">AlignConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/modeling_align.py#L1208"}}),Bt=new j({props:{name:"forward",anchor:"transformers.AlignTextModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignTextModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlignTextModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlignTextModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlignTextModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlignTextModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlignTextModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlignTextModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlignTextModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlignTextModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/modeling_align.py#L1229",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.align.configuration_align.AlignTextConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Se=new Nn({props:{$$slots:{default:[Zd]},$$scope:{ctx:x}}}),Fe=new Qt({props:{anchor:"transformers.AlignTextModel.forward.example",$$slots:{default:[Jd]},$$scope:{ctx:x}}}),Wt=new U({}),Gt=new j({props:{name:"class transformers.AlignVisionModel",anchor:"transformers.AlignVisionModel",parameters:[{name:"config",val:": AlignVisionConfig"}],parametersDescription:[{anchor:"transformers.AlignVisionModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignConfig">AlignConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/modeling_align.py#L1333"}}),Yt=new j({props:{name:"forward",anchor:"transformers.AlignVisionModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignVisionModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_22262/en/model_doc/videomae#transformers.VideoMAEFeatureExtractor.__call__">EfficientNetImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.AlignVisionModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlignVisionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/align/modeling_align.py#L1357",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.align.configuration_align.AlignVisionConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),We=new Nn({props:{$$slots:{default:[Qd]},$$scope:{ctx:x}}}),Ge=new Qt({props:{anchor:"transformers.AlignVisionModel.forward.example",$$slots:{default:[Xd]},$$scope:{ctx:x}}}),{c(){c=r("meta"),b=p(),u=r("h1"),m=r("a"),v=r("span"),A(l.$$.fragment),g=p(),E=r("span"),qa=n("ALIGN"),Ln=p(),Q=r("h2"),ve=r("a"),Zo=r("span"),A(tt.$$.fragment),Na=p(),Jo=r("span"),La=n("Overview"),Vn=p(),O=r("p"),Va=n("The ALIGN model was proposed in "),ot=r("a"),Oa=n("Scaling Up Visual and Vision-Language Representation Learning With Noisy Text Supervision"),Da=n(" by Chao Jia, Yinfei Yang, Ye Xia, Yi-Ting Chen, Zarana Parekh, Hieu Pham, Quoc V. Le, Yunhsuan Sung, Zhen Li, Tom Duerig. ALIGN is a multi-modal vision and language model. It can be used for image-text similarity and for zero-shot image classification. ALIGN features a dual-encoder architecture with "),eo=r("a"),Sa=n("EfficientNet"),Fa=n(" as its vision encoder and "),to=r("a"),Ba=n("BERT"),Wa=n(" as its text encoder, and learns to align visual and text representations with contrastive learning. Unlike previous work, ALIGN leverages a massive noisy dataset and shows that the scale of the corpus can be used to achieve SOTA representations with a simple recipe."),On=p(),oo=r("p"),Ga=n("The abstract from the paper is the following:"),Dn=p(),no=r("p"),Qo=r("em"),Ra=n("Pre-trained representations are becoming crucial for many NLP and perception tasks. While representation learning in NLP has transitioned to training on raw text without human annotations, visual and vision-language representations still rely heavily on curated training datasets that are expensive or require expert knowledge. For vision applications, representations are mostly learned using datasets with explicit class labels such as ImageNet or OpenImages. For vision-language, popular datasets like Conceptual Captions, MSCOCO, or CLIP all involve a non-trivial data collection (and cleaning) process. This costly curation process limits the size of datasets and hence hinders the scaling of trained models. In this paper, we leverage a noisy dataset of over one billion image alt-text pairs, obtained without expensive filtering or post-processing steps in the Conceptual Captions dataset. A simple dual-encoder architecture learns to align visual and language representations of the image and text pairs using a contrastive loss. We show that the scale of our corpus can make up for its noise and leads to state-of-the-art representations even with such a simple learning scheme. Our visual representation achieves strong performance when transferred to classification tasks such as ImageNet and VTAB. The aligned visual and language representations enables zero-shot image classification and also set new state-of-the-art results on Flickr30K and MSCOCO image-text retrieval benchmarks, even when compared with more sophisticated cross-attention models. The representations also enable cross-modality search with complex text and text + image queries."),Sn=p(),X=r("h2"),be=r("a"),Xo=r("span"),A(nt.$$.fragment),Ha=p(),en=r("span"),Ua=n("Usage"),Fn=p(),ao=r("p"),Ya=n("ALIGN uses EfficientNet to get visual features and BERT to get the text features. Both the text and visual features are then projected to a latent space with identical dimension. The dot product between the projected image and text features is then used as a similarity score."),Bn=p(),M=r("p"),ro=r("a"),Ka=n("AlignProcessor"),Za=n(" wraps "),so=r("a"),Ja=n("EfficientNetImageProcessor"),Qa=n(" and "),io=r("a"),Xa=n("BertTokenizer"),er=n(" into a single instance to both encode the text and preprocess the images. The following example shows how to get the image-text similarity scores using "),lo=r("a"),tr=n("AlignProcessor"),or=n(" and "),co=r("a"),nr=n("AlignModel"),ar=n("."),Wn=p(),A(at.$$.fragment),Gn=p(),Ae=r("p"),rr=n("This model was contributed by "),rt=r("a"),sr=n("Alara Dirik"),ir=n(`.
The original code is not released, this implementation is based on the Kakao Brain implementation based on the original paper.`),Rn=p(),ee=r("h2"),$e=r("a"),tn=r("span"),A(st.$$.fragment),lr=p(),on=r("span"),dr=n("Resources"),Hn=p(),po=r("p"),cr=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ALIGN."),Un=p(),Y=r("ul"),it=r("li"),pr=n("A blog post on "),lt=r("a"),fr=n("ALIGN and the COYO-700M dataset"),gr=n("."),mr=p(),dt=r("li"),hr=n("A zero-shot image classification "),ct=r("a"),ur=n("demo"),_r=n("."),vr=p(),ke=r("li"),pt=r("a"),br=n("Model card"),Ar=n(" of "),nn=r("code"),$r=n("kakaobrain/align-base"),kr=n(" model."),Yn=p(),fo=r("p"),wr=n("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we will review it. The resource should ideally demonstrate something new instead of duplicating an existing resource."),Kn=p(),te=r("h2"),we=r("a"),an=r("span"),A(ft.$$.fragment),yr=p(),rn=r("span"),Tr=n("AlignConfig"),Zn=p(),C=r("div"),A(gt.$$.fragment),xr=p(),K=r("p"),go=r("a"),Er=n("AlignConfig"),Pr=n(" is the configuration class to store the configuration of a "),mo=r("a"),Mr=n("AlignModel"),Cr=n(`. It is used to
instantiate a ALIGN model according to the specified arguments, defining the text model and vision model configs.
Instantiating a configuration with the defaults will yield a similar configuration to that of the ALIGN
`),mt=r("a"),zr=n("kakaobrain/align-base"),jr=n(" architecture."),Ir=p(),oe=r("p"),qr=n("Configuration objects inherit from "),ho=r("a"),Nr=n("PretrainedConfig"),Lr=n(` and can be used to control the model outputs. Read the
documentation from `),uo=r("a"),Vr=n("PretrainedConfig"),Or=n(" for more information."),Dr=p(),A(ye.$$.fragment),Sr=p(),Te=r("div"),A(ht.$$.fragment),Fr=p(),ut=r("p"),Br=n("Instantiate a "),_o=r("a"),Wr=n("AlignConfig"),Gr=n(` (or a derived class) from align text model configuration and align vision model
configuration.`),Jn=p(),ne=r("h2"),xe=r("a"),sn=r("span"),A(_t.$$.fragment),Rr=p(),ln=r("span"),Hr=n("AlignTextConfig"),Qn=p(),I=r("div"),A(vt.$$.fragment),Ur=p(),ae=r("p"),Yr=n("This is the configuration class to store the configuration of a "),vo=r("a"),Kr=n("AlignTextModel"),Zr=n(`. It is used to instantiate a
ALIGN text encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the text encoder of the ALIGN
`),bt=r("a"),Jr=n("kakaobrain/align-base"),Qr=n(` architecture. The default values here are
copied from BERT.`),Xr=p(),re=r("p"),es=n("Configuration objects inherit from "),bo=r("a"),ts=n("PretrainedConfig"),os=n(` and can be used to control the model outputs. Read the
documentation from `),Ao=r("a"),ns=n("PretrainedConfig"),as=n(" for more information."),rs=p(),A(Ee.$$.fragment),Xn=p(),se=r("h2"),Pe=r("a"),dn=r("span"),A(At.$$.fragment),ss=p(),cn=r("span"),is=n("AlignVisionConfig"),ea=p(),q=r("div"),A($t.$$.fragment),ls=p(),ie=r("p"),ds=n("This is the configuration class to store the configuration of a "),$o=r("a"),cs=n("AlignVisionModel"),ps=n(`. It is used to instantiate a
ALIGN vision encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the vision encoder of the ALIGN
`),kt=r("a"),fs=n("kakaobrain/align-base"),gs=n(` architecture. The default values are copied
from EfficientNet (efficientnet-b7)`),ms=p(),le=r("p"),hs=n("Configuration objects inherit from "),ko=r("a"),us=n("PretrainedConfig"),_s=n(` and can be used to control the model outputs. Read the
documentation from `),wo=r("a"),vs=n("PretrainedConfig"),bs=n(" for more information."),As=p(),A(Me.$$.fragment),ta=p(),de=r("h2"),Ce=r("a"),pn=r("span"),A(wt.$$.fragment),$s=p(),fn=r("span"),ks=n("AlignProcessor"),oa=p(),N=r("div"),A(yt.$$.fragment),ws=p(),z=r("p"),ys=n("Constructs an ALIGN processor which wraps "),yo=r("a"),Ts=n("EfficientNetImageProcessor"),xs=n(` and
`),To=r("a"),Es=n("BertTokenizer"),Ps=n("/"),xo=r("a"),Ms=n("BertTokenizerFast"),Cs=n(` into a single processor that interits both the image processor and
tokenizer functionalities. See the `),gn=r("code"),zs=n("__call__()"),js=n(" and "),Eo=r("a"),Is=n("decode()"),qs=n(` for more
information.`),Ns=p(),ze=r("div"),A(Tt.$$.fragment),Ls=p(),xt=r("p"),Vs=n("This method forwards all its arguments to BertTokenizerFast\u2019s "),Po=r("a"),Os=n("batch_decode()"),Ds=n(`. Please
refer to the docstring of this method for more information.`),Ss=p(),je=r("div"),A(Et.$$.fragment),Fs=p(),Pt=r("p"),Bs=n("This method forwards all its arguments to BertTokenizerFast\u2019s "),Mo=r("a"),Ws=n("decode()"),Gs=n(`. Please refer to
the docstring of this method for more information.`),na=p(),ce=r("h2"),Ie=r("a"),mn=r("span"),A(Mt.$$.fragment),Rs=p(),hn=r("span"),Hs=n("AlignModel"),aa=p(),P=r("div"),A(Ct.$$.fragment),Us=p(),zt=r("p"),Ys=n("This model inherits from "),Co=r("a"),Ks=n("PreTrainedModel"),Zs=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Js=p(),jt=r("p"),Qs=n("This model is also a PyTorch "),It=r("a"),Xs=n("torch.nn.Module"),ei=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ti=p(),Z=r("div"),A(qt.$$.fragment),oi=p(),pe=r("p"),ni=n("The "),zo=r("a"),ai=n("AlignModel"),ri=n(" forward method, overrides the "),un=r("code"),si=n("__call__"),ii=n(" special method."),li=p(),A(qe.$$.fragment),di=p(),D=r("div"),A(Nt.$$.fragment),ci=p(),fe=r("p"),pi=n("The "),jo=r("a"),fi=n("AlignModel"),gi=n(" forward method, overrides the "),_n=r("code"),mi=n("__call__"),hi=n(" special method."),ui=p(),A(Ne.$$.fragment),_i=p(),A(Le.$$.fragment),vi=p(),S=r("div"),A(Lt.$$.fragment),bi=p(),ge=r("p"),Ai=n("The "),Io=r("a"),$i=n("AlignModel"),ki=n(" forward method, overrides the "),vn=r("code"),wi=n("__call__"),yi=n(" special method."),Ti=p(),A(Ve.$$.fragment),xi=p(),A(Oe.$$.fragment),ra=p(),me=r("h2"),De=r("a"),bn=r("span"),A(Vt.$$.fragment),Ei=p(),An=r("span"),Pi=n("AlignTextModel"),sa=p(),L=r("div"),A(Ot.$$.fragment),Mi=p(),Dt=r("p"),Ci=n(`The text model from ALIGN without any head or projection on top.
This model inherits from `),qo=r("a"),zi=n("PreTrainedModel"),ji=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ii=p(),St=r("p"),qi=n("This model is also a PyTorch "),Ft=r("a"),Ni=n("torch.nn.Module"),Li=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Vi=p(),F=r("div"),A(Bt.$$.fragment),Oi=p(),he=r("p"),Di=n("The "),No=r("a"),Si=n("AlignTextModel"),Fi=n(" forward method, overrides the "),$n=r("code"),Bi=n("__call__"),Wi=n(" special method."),Gi=p(),A(Se.$$.fragment),Ri=p(),A(Fe.$$.fragment),ia=p(),ue=r("h2"),Be=r("a"),kn=r("span"),A(Wt.$$.fragment),Hi=p(),wn=r("span"),Ui=n("AlignVisionModel"),la=p(),V=r("div"),A(Gt.$$.fragment),Yi=p(),Rt=r("p"),Ki=n(`The vision model from ALIGN without any head or projection on top.
This model inherits from `),Lo=r("a"),Zi=n("PreTrainedModel"),Ji=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Qi=p(),Ht=r("p"),Xi=n("This model is also a PyTorch "),Ut=r("a"),el=n("torch.nn.Module"),tl=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ol=p(),B=r("div"),A(Yt.$$.fragment),nl=p(),_e=r("p"),al=n("The "),Vo=r("a"),rl=n("AlignVisionModel"),sl=n(" forward method, overrides the "),yn=r("code"),il=n("__call__"),ll=n(" special method."),dl=p(),A(We.$$.fragment),cl=p(),A(Ge.$$.fragment),this.h()},l(t){const h=Sd('[data-svelte="svelte-1phssyn"]',document.head);c=s(h,"META",{name:!0,content:!0}),h.forEach(o),b=f(t),u=s(t,"H1",{class:!0});var Kt=i(u);m=s(Kt,"A",{id:!0,class:!0,href:!0});var Tn=i(m);v=s(Tn,"SPAN",{});var xn=i(v);$(l.$$.fragment,xn),xn.forEach(o),Tn.forEach(o),g=f(Kt),E=s(Kt,"SPAN",{});var En=i(E);qa=a(En,"ALIGN"),En.forEach(o),Kt.forEach(o),Ln=f(t),Q=s(t,"H2",{class:!0});var Zt=i(Q);ve=s(Zt,"A",{id:!0,class:!0,href:!0});var Pn=i(ve);Zo=s(Pn,"SPAN",{});var Mn=i(Zo);$(tt.$$.fragment,Mn),Mn.forEach(o),Pn.forEach(o),Na=f(Zt),Jo=s(Zt,"SPAN",{});var Cn=i(Jo);La=a(Cn,"Overview"),Cn.forEach(o),Zt.forEach(o),Vn=f(t),O=s(t,"P",{});var R=i(O);Va=a(R,"The ALIGN model was proposed in "),ot=s(R,"A",{href:!0,rel:!0});var zn=i(ot);Oa=a(zn,"Scaling Up Visual and Vision-Language Representation Learning With Noisy Text Supervision"),zn.forEach(o),Da=a(R," by Chao Jia, Yinfei Yang, Ye Xia, Yi-Ting Chen, Zarana Parekh, Hieu Pham, Quoc V. Le, Yunhsuan Sung, Zhen Li, Tom Duerig. ALIGN is a multi-modal vision and language model. It can be used for image-text similarity and for zero-shot image classification. ALIGN features a dual-encoder architecture with "),eo=s(R,"A",{href:!0});var jn=i(eo);Sa=a(jn,"EfficientNet"),jn.forEach(o),Fa=a(R," as its vision encoder and "),to=s(R,"A",{href:!0});var In=i(to);Ba=a(In,"BERT"),In.forEach(o),Wa=a(R," as its text encoder, and learns to align visual and text representations with contrastive learning. Unlike previous work, ALIGN leverages a massive noisy dataset and shows that the scale of the corpus can be used to achieve SOTA representations with a simple recipe."),R.forEach(o),On=f(t),oo=s(t,"P",{});var pl=i(oo);Ga=a(pl,"The abstract from the paper is the following:"),pl.forEach(o),Dn=f(t),no=s(t,"P",{});var fl=i(no);Qo=s(fl,"EM",{});var gl=i(Qo);Ra=a(gl,"Pre-trained representations are becoming crucial for many NLP and perception tasks. While representation learning in NLP has transitioned to training on raw text without human annotations, visual and vision-language representations still rely heavily on curated training datasets that are expensive or require expert knowledge. For vision applications, representations are mostly learned using datasets with explicit class labels such as ImageNet or OpenImages. For vision-language, popular datasets like Conceptual Captions, MSCOCO, or CLIP all involve a non-trivial data collection (and cleaning) process. This costly curation process limits the size of datasets and hence hinders the scaling of trained models. In this paper, we leverage a noisy dataset of over one billion image alt-text pairs, obtained without expensive filtering or post-processing steps in the Conceptual Captions dataset. A simple dual-encoder architecture learns to align visual and language representations of the image and text pairs using a contrastive loss. We show that the scale of our corpus can make up for its noise and leads to state-of-the-art representations even with such a simple learning scheme. Our visual representation achieves strong performance when transferred to classification tasks such as ImageNet and VTAB. The aligned visual and language representations enables zero-shot image classification and also set new state-of-the-art results on Flickr30K and MSCOCO image-text retrieval benchmarks, even when compared with more sophisticated cross-attention models. The representations also enable cross-modality search with complex text and text + image queries."),gl.forEach(o),fl.forEach(o),Sn=f(t),X=s(t,"H2",{class:!0});var ca=i(X);be=s(ca,"A",{id:!0,class:!0,href:!0});var ml=i(be);Xo=s(ml,"SPAN",{});var hl=i(Xo);$(nt.$$.fragment,hl),hl.forEach(o),ml.forEach(o),Ha=f(ca),en=s(ca,"SPAN",{});var ul=i(en);Ua=a(ul,"Usage"),ul.forEach(o),ca.forEach(o),Fn=f(t),ao=s(t,"P",{});var _l=i(ao);Ya=a(_l,"ALIGN uses EfficientNet to get visual features and BERT to get the text features. Both the text and visual features are then projected to a latent space with identical dimension. The dot product between the projected image and text features is then used as a similarity score."),_l.forEach(o),Bn=f(t),M=s(t,"P",{});var H=i(M);ro=s(H,"A",{href:!0});var vl=i(ro);Ka=a(vl,"AlignProcessor"),vl.forEach(o),Za=a(H," wraps "),so=s(H,"A",{href:!0});var bl=i(so);Ja=a(bl,"EfficientNetImageProcessor"),bl.forEach(o),Qa=a(H," and "),io=s(H,"A",{href:!0});var Al=i(io);Xa=a(Al,"BertTokenizer"),Al.forEach(o),er=a(H," into a single instance to both encode the text and preprocess the images. The following example shows how to get the image-text similarity scores using "),lo=s(H,"A",{href:!0});var $l=i(lo);tr=a($l,"AlignProcessor"),$l.forEach(o),or=a(H," and "),co=s(H,"A",{href:!0});var kl=i(co);nr=a(kl,"AlignModel"),kl.forEach(o),ar=a(H,"."),H.forEach(o),Wn=f(t),$(at.$$.fragment,t),Gn=f(t),Ae=s(t,"P",{});var pa=i(Ae);rr=a(pa,"This model was contributed by "),rt=s(pa,"A",{href:!0,rel:!0});var wl=i(rt);sr=a(wl,"Alara Dirik"),wl.forEach(o),ir=a(pa,`.
The original code is not released, this implementation is based on the Kakao Brain implementation based on the original paper.`),pa.forEach(o),Rn=f(t),ee=s(t,"H2",{class:!0});var fa=i(ee);$e=s(fa,"A",{id:!0,class:!0,href:!0});var yl=i($e);tn=s(yl,"SPAN",{});var Tl=i(tn);$(st.$$.fragment,Tl),Tl.forEach(o),yl.forEach(o),lr=f(fa),on=s(fa,"SPAN",{});var xl=i(on);dr=a(xl,"Resources"),xl.forEach(o),fa.forEach(o),Hn=f(t),po=s(t,"P",{});var El=i(po);cr=a(El,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ALIGN."),El.forEach(o),Un=f(t),Y=s(t,"UL",{});var Oo=i(Y);it=s(Oo,"LI",{});var ga=i(it);pr=a(ga,"A blog post on "),lt=s(ga,"A",{href:!0,rel:!0});var Pl=i(lt);fr=a(Pl,"ALIGN and the COYO-700M dataset"),Pl.forEach(o),gr=a(ga,"."),ga.forEach(o),mr=f(Oo),dt=s(Oo,"LI",{});var ma=i(dt);hr=a(ma,"A zero-shot image classification "),ct=s(ma,"A",{href:!0,rel:!0});var Ml=i(ct);ur=a(Ml,"demo"),Ml.forEach(o),_r=a(ma,"."),ma.forEach(o),vr=f(Oo),ke=s(Oo,"LI",{});var qn=i(ke);pt=s(qn,"A",{href:!0,rel:!0});var Cl=i(pt);br=a(Cl,"Model card"),Cl.forEach(o),Ar=a(qn," of "),nn=s(qn,"CODE",{});var zl=i(nn);$r=a(zl,"kakaobrain/align-base"),zl.forEach(o),kr=a(qn," model."),qn.forEach(o),Oo.forEach(o),Yn=f(t),fo=s(t,"P",{});var jl=i(fo);wr=a(jl,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we will review it. The resource should ideally demonstrate something new instead of duplicating an existing resource."),jl.forEach(o),Kn=f(t),te=s(t,"H2",{class:!0});var ha=i(te);we=s(ha,"A",{id:!0,class:!0,href:!0});var Il=i(we);an=s(Il,"SPAN",{});var ql=i(an);$(ft.$$.fragment,ql),ql.forEach(o),Il.forEach(o),yr=f(ha),rn=s(ha,"SPAN",{});var Nl=i(rn);Tr=a(Nl,"AlignConfig"),Nl.forEach(o),ha.forEach(o),Zn=f(t),C=s(t,"DIV",{class:!0});var J=i(C);$(gt.$$.fragment,J),xr=f(J),K=s(J,"P",{});var Jt=i(K);go=s(Jt,"A",{href:!0});var Ll=i(go);Er=a(Ll,"AlignConfig"),Ll.forEach(o),Pr=a(Jt," is the configuration class to store the configuration of a "),mo=s(Jt,"A",{href:!0});var Vl=i(mo);Mr=a(Vl,"AlignModel"),Vl.forEach(o),Cr=a(Jt,`. It is used to
instantiate a ALIGN model according to the specified arguments, defining the text model and vision model configs.
Instantiating a configuration with the defaults will yield a similar configuration to that of the ALIGN
`),mt=s(Jt,"A",{href:!0,rel:!0});var Ol=i(mt);zr=a(Ol,"kakaobrain/align-base"),Ol.forEach(o),jr=a(Jt," architecture."),Jt.forEach(o),Ir=f(J),oe=s(J,"P",{});var Do=i(oe);qr=a(Do,"Configuration objects inherit from "),ho=s(Do,"A",{href:!0});var Dl=i(ho);Nr=a(Dl,"PretrainedConfig"),Dl.forEach(o),Lr=a(Do,` and can be used to control the model outputs. Read the
documentation from `),uo=s(Do,"A",{href:!0});var Sl=i(uo);Vr=a(Sl,"PretrainedConfig"),Sl.forEach(o),Or=a(Do," for more information."),Do.forEach(o),Dr=f(J),$(ye.$$.fragment,J),Sr=f(J),Te=s(J,"DIV",{class:!0});var ua=i(Te);$(ht.$$.fragment,ua),Fr=f(ua),ut=s(ua,"P",{});var _a=i(ut);Br=a(_a,"Instantiate a "),_o=s(_a,"A",{href:!0});var Fl=i(_o);Wr=a(Fl,"AlignConfig"),Fl.forEach(o),Gr=a(_a,` (or a derived class) from align text model configuration and align vision model
configuration.`),_a.forEach(o),ua.forEach(o),J.forEach(o),Jn=f(t),ne=s(t,"H2",{class:!0});var va=i(ne);xe=s(va,"A",{id:!0,class:!0,href:!0});var Bl=i(xe);sn=s(Bl,"SPAN",{});var Wl=i(sn);$(_t.$$.fragment,Wl),Wl.forEach(o),Bl.forEach(o),Rr=f(va),ln=s(va,"SPAN",{});var Gl=i(ln);Hr=a(Gl,"AlignTextConfig"),Gl.forEach(o),va.forEach(o),Qn=f(t),I=s(t,"DIV",{class:!0});var Re=i(I);$(vt.$$.fragment,Re),Ur=f(Re),ae=s(Re,"P",{});var So=i(ae);Yr=a(So,"This is the configuration class to store the configuration of a "),vo=s(So,"A",{href:!0});var Rl=i(vo);Kr=a(Rl,"AlignTextModel"),Rl.forEach(o),Zr=a(So,`. It is used to instantiate a
ALIGN text encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the text encoder of the ALIGN
`),bt=s(So,"A",{href:!0,rel:!0});var Hl=i(bt);Jr=a(Hl,"kakaobrain/align-base"),Hl.forEach(o),Qr=a(So,` architecture. The default values here are
copied from BERT.`),So.forEach(o),Xr=f(Re),re=s(Re,"P",{});var Fo=i(re);es=a(Fo,"Configuration objects inherit from "),bo=s(Fo,"A",{href:!0});var Ul=i(bo);ts=a(Ul,"PretrainedConfig"),Ul.forEach(o),os=a(Fo,` and can be used to control the model outputs. Read the
documentation from `),Ao=s(Fo,"A",{href:!0});var Yl=i(Ao);ns=a(Yl,"PretrainedConfig"),Yl.forEach(o),as=a(Fo," for more information."),Fo.forEach(o),rs=f(Re),$(Ee.$$.fragment,Re),Re.forEach(o),Xn=f(t),se=s(t,"H2",{class:!0});var ba=i(se);Pe=s(ba,"A",{id:!0,class:!0,href:!0});var Kl=i(Pe);dn=s(Kl,"SPAN",{});var Zl=i(dn);$(At.$$.fragment,Zl),Zl.forEach(o),Kl.forEach(o),ss=f(ba),cn=s(ba,"SPAN",{});var Jl=i(cn);is=a(Jl,"AlignVisionConfig"),Jl.forEach(o),ba.forEach(o),ea=f(t),q=s(t,"DIV",{class:!0});var He=i(q);$($t.$$.fragment,He),ls=f(He),ie=s(He,"P",{});var Bo=i(ie);ds=a(Bo,"This is the configuration class to store the configuration of a "),$o=s(Bo,"A",{href:!0});var Ql=i($o);cs=a(Ql,"AlignVisionModel"),Ql.forEach(o),ps=a(Bo,`. It is used to instantiate a
ALIGN vision encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the vision encoder of the ALIGN
`),kt=s(Bo,"A",{href:!0,rel:!0});var Xl=i(kt);fs=a(Xl,"kakaobrain/align-base"),Xl.forEach(o),gs=a(Bo,` architecture. The default values are copied
from EfficientNet (efficientnet-b7)`),Bo.forEach(o),ms=f(He),le=s(He,"P",{});var Wo=i(le);hs=a(Wo,"Configuration objects inherit from "),ko=s(Wo,"A",{href:!0});var ed=i(ko);us=a(ed,"PretrainedConfig"),ed.forEach(o),_s=a(Wo,` and can be used to control the model outputs. Read the
documentation from `),wo=s(Wo,"A",{href:!0});var td=i(wo);vs=a(td,"PretrainedConfig"),td.forEach(o),bs=a(Wo," for more information."),Wo.forEach(o),As=f(He),$(Me.$$.fragment,He),He.forEach(o),ta=f(t),de=s(t,"H2",{class:!0});var Aa=i(de);Ce=s(Aa,"A",{id:!0,class:!0,href:!0});var od=i(Ce);pn=s(od,"SPAN",{});var nd=i(pn);$(wt.$$.fragment,nd),nd.forEach(o),od.forEach(o),$s=f(Aa),fn=s(Aa,"SPAN",{});var ad=i(fn);ks=a(ad,"AlignProcessor"),ad.forEach(o),Aa.forEach(o),oa=f(t),N=s(t,"DIV",{class:!0});var Ue=i(N);$(yt.$$.fragment,Ue),ws=f(Ue),z=s(Ue,"P",{});var W=i(z);ys=a(W,"Constructs an ALIGN processor which wraps "),yo=s(W,"A",{href:!0});var rd=i(yo);Ts=a(rd,"EfficientNetImageProcessor"),rd.forEach(o),xs=a(W,` and
`),To=s(W,"A",{href:!0});var sd=i(To);Es=a(sd,"BertTokenizer"),sd.forEach(o),Ps=a(W,"/"),xo=s(W,"A",{href:!0});var id=i(xo);Ms=a(id,"BertTokenizerFast"),id.forEach(o),Cs=a(W,` into a single processor that interits both the image processor and
tokenizer functionalities. See the `),gn=s(W,"CODE",{});var ld=i(gn);zs=a(ld,"__call__()"),ld.forEach(o),js=a(W," and "),Eo=s(W,"A",{href:!0});var dd=i(Eo);Is=a(dd,"decode()"),dd.forEach(o),qs=a(W,` for more
information.`),W.forEach(o),Ns=f(Ue),ze=s(Ue,"DIV",{class:!0});var $a=i(ze);$(Tt.$$.fragment,$a),Ls=f($a),xt=s($a,"P",{});var ka=i(xt);Vs=a(ka,"This method forwards all its arguments to BertTokenizerFast\u2019s "),Po=s(ka,"A",{href:!0});var cd=i(Po);Os=a(cd,"batch_decode()"),cd.forEach(o),Ds=a(ka,`. Please
refer to the docstring of this method for more information.`),ka.forEach(o),$a.forEach(o),Ss=f(Ue),je=s(Ue,"DIV",{class:!0});var wa=i(je);$(Et.$$.fragment,wa),Fs=f(wa),Pt=s(wa,"P",{});var ya=i(Pt);Bs=a(ya,"This method forwards all its arguments to BertTokenizerFast\u2019s "),Mo=s(ya,"A",{href:!0});var pd=i(Mo);Ws=a(pd,"decode()"),pd.forEach(o),Gs=a(ya,`. Please refer to
the docstring of this method for more information.`),ya.forEach(o),wa.forEach(o),Ue.forEach(o),na=f(t),ce=s(t,"H2",{class:!0});var Ta=i(ce);Ie=s(Ta,"A",{id:!0,class:!0,href:!0});var fd=i(Ie);mn=s(fd,"SPAN",{});var gd=i(mn);$(Mt.$$.fragment,gd),gd.forEach(o),fd.forEach(o),Rs=f(Ta),hn=s(Ta,"SPAN",{});var md=i(hn);Hs=a(md,"AlignModel"),md.forEach(o),Ta.forEach(o),aa=f(t),P=s(t,"DIV",{class:!0});var G=i(P);$(Ct.$$.fragment,G),Us=f(G),zt=s(G,"P",{});var xa=i(zt);Ys=a(xa,"This model inherits from "),Co=s(xa,"A",{href:!0});var hd=i(Co);Ks=a(hd,"PreTrainedModel"),hd.forEach(o),Zs=a(xa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xa.forEach(o),Js=f(G),jt=s(G,"P",{});var Ea=i(jt);Qs=a(Ea,"This model is also a PyTorch "),It=s(Ea,"A",{href:!0,rel:!0});var ud=i(It);Xs=a(ud,"torch.nn.Module"),ud.forEach(o),ei=a(Ea,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ea.forEach(o),ti=f(G),Z=s(G,"DIV",{class:!0});var Go=i(Z);$(qt.$$.fragment,Go),oi=f(Go),pe=s(Go,"P",{});var Ro=i(pe);ni=a(Ro,"The "),zo=s(Ro,"A",{href:!0});var _d=i(zo);ai=a(_d,"AlignModel"),_d.forEach(o),ri=a(Ro," forward method, overrides the "),un=s(Ro,"CODE",{});var vd=i(un);si=a(vd,"__call__"),vd.forEach(o),ii=a(Ro," special method."),Ro.forEach(o),li=f(Go),$(qe.$$.fragment,Go),Go.forEach(o),di=f(G),D=s(G,"DIV",{class:!0});var Ye=i(D);$(Nt.$$.fragment,Ye),ci=f(Ye),fe=s(Ye,"P",{});var Ho=i(fe);pi=a(Ho,"The "),jo=s(Ho,"A",{href:!0});var bd=i(jo);fi=a(bd,"AlignModel"),bd.forEach(o),gi=a(Ho," forward method, overrides the "),_n=s(Ho,"CODE",{});var Ad=i(_n);mi=a(Ad,"__call__"),Ad.forEach(o),hi=a(Ho," special method."),Ho.forEach(o),ui=f(Ye),$(Ne.$$.fragment,Ye),_i=f(Ye),$(Le.$$.fragment,Ye),Ye.forEach(o),vi=f(G),S=s(G,"DIV",{class:!0});var Ke=i(S);$(Lt.$$.fragment,Ke),bi=f(Ke),ge=s(Ke,"P",{});var Uo=i(ge);Ai=a(Uo,"The "),Io=s(Uo,"A",{href:!0});var $d=i(Io);$i=a($d,"AlignModel"),$d.forEach(o),ki=a(Uo," forward method, overrides the "),vn=s(Uo,"CODE",{});var kd=i(vn);wi=a(kd,"__call__"),kd.forEach(o),yi=a(Uo," special method."),Uo.forEach(o),Ti=f(Ke),$(Ve.$$.fragment,Ke),xi=f(Ke),$(Oe.$$.fragment,Ke),Ke.forEach(o),G.forEach(o),ra=f(t),me=s(t,"H2",{class:!0});var Pa=i(me);De=s(Pa,"A",{id:!0,class:!0,href:!0});var wd=i(De);bn=s(wd,"SPAN",{});var yd=i(bn);$(Vt.$$.fragment,yd),yd.forEach(o),wd.forEach(o),Ei=f(Pa),An=s(Pa,"SPAN",{});var Td=i(An);Pi=a(Td,"AlignTextModel"),Td.forEach(o),Pa.forEach(o),sa=f(t),L=s(t,"DIV",{class:!0});var Ze=i(L);$(Ot.$$.fragment,Ze),Mi=f(Ze),Dt=s(Ze,"P",{});var Ma=i(Dt);Ci=a(Ma,`The text model from ALIGN without any head or projection on top.
This model inherits from `),qo=s(Ma,"A",{href:!0});var xd=i(qo);zi=a(xd,"PreTrainedModel"),xd.forEach(o),ji=a(Ma,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ma.forEach(o),Ii=f(Ze),St=s(Ze,"P",{});var Ca=i(St);qi=a(Ca,"This model is also a PyTorch "),Ft=s(Ca,"A",{href:!0,rel:!0});var Ed=i(Ft);Ni=a(Ed,"torch.nn.Module"),Ed.forEach(o),Li=a(Ca,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ca.forEach(o),Vi=f(Ze),F=s(Ze,"DIV",{class:!0});var Je=i(F);$(Bt.$$.fragment,Je),Oi=f(Je),he=s(Je,"P",{});var Yo=i(he);Di=a(Yo,"The "),No=s(Yo,"A",{href:!0});var Pd=i(No);Si=a(Pd,"AlignTextModel"),Pd.forEach(o),Fi=a(Yo," forward method, overrides the "),$n=s(Yo,"CODE",{});var Md=i($n);Bi=a(Md,"__call__"),Md.forEach(o),Wi=a(Yo," special method."),Yo.forEach(o),Gi=f(Je),$(Se.$$.fragment,Je),Ri=f(Je),$(Fe.$$.fragment,Je),Je.forEach(o),Ze.forEach(o),ia=f(t),ue=s(t,"H2",{class:!0});var za=i(ue);Be=s(za,"A",{id:!0,class:!0,href:!0});var Cd=i(Be);kn=s(Cd,"SPAN",{});var zd=i(kn);$(Wt.$$.fragment,zd),zd.forEach(o),Cd.forEach(o),Hi=f(za),wn=s(za,"SPAN",{});var jd=i(wn);Ui=a(jd,"AlignVisionModel"),jd.forEach(o),za.forEach(o),la=f(t),V=s(t,"DIV",{class:!0});var Qe=i(V);$(Gt.$$.fragment,Qe),Yi=f(Qe),Rt=s(Qe,"P",{});var ja=i(Rt);Ki=a(ja,`The vision model from ALIGN without any head or projection on top.
This model inherits from `),Lo=s(ja,"A",{href:!0});var Id=i(Lo);Zi=a(Id,"PreTrainedModel"),Id.forEach(o),Ji=a(ja,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ja.forEach(o),Qi=f(Qe),Ht=s(Qe,"P",{});var Ia=i(Ht);Xi=a(Ia,"This model is also a PyTorch "),Ut=s(Ia,"A",{href:!0,rel:!0});var qd=i(Ut);el=a(qd,"torch.nn.Module"),qd.forEach(o),tl=a(Ia,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ia.forEach(o),ol=f(Qe),B=s(Qe,"DIV",{class:!0});var Xe=i(B);$(Yt.$$.fragment,Xe),nl=f(Xe),_e=s(Xe,"P",{});var Ko=i(_e);al=a(Ko,"The "),Vo=s(Ko,"A",{href:!0});var Nd=i(Vo);rl=a(Nd,"AlignVisionModel"),Nd.forEach(o),sl=a(Ko," forward method, overrides the "),yn=s(Ko,"CODE",{});var Ld=i(yn);il=a(Ld,"__call__"),Ld.forEach(o),ll=a(Ko," special method."),Ko.forEach(o),dl=f(Xe),$(We.$$.fragment,Xe),cl=f(Xe),$(Ge.$$.fragment,Xe),Xe.forEach(o),Qe.forEach(o),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(tc)),d(m,"id","align"),d(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(m,"href","#align"),d(u,"class","relative group"),d(ve,"id","overview"),d(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ve,"href","#overview"),d(Q,"class","relative group"),d(ot,"href","https://arxiv.org/abs/2102.05918"),d(ot,"rel","nofollow"),d(eo,"href","efficientnet"),d(to,"href","bert"),d(be,"id","usage"),d(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(be,"href","#usage"),d(X,"class","relative group"),d(ro,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignProcessor"),d(so,"href","/docs/transformers/pr_22262/en/model_doc/efficientnet#transformers.EfficientNetImageProcessor"),d(io,"href","/docs/transformers/pr_22262/en/model_doc/bert#transformers.BertTokenizer"),d(lo,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignProcessor"),d(co,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignModel"),d(rt,"href","https://huggingface.co/adirik"),d(rt,"rel","nofollow"),d($e,"id","resources"),d($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d($e,"href","#resources"),d(ee,"class","relative group"),d(lt,"href","https://huggingface.co/blog/vit-align"),d(lt,"rel","nofollow"),d(ct,"href","https://huggingface.co/spaces/adirik/ALIGN-zero-shot-image-classification"),d(ct,"rel","nofollow"),d(pt,"href","https://huggingface.co/kakaobrain/align-base"),d(pt,"rel","nofollow"),d(we,"id","transformers.AlignConfig"),d(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(we,"href","#transformers.AlignConfig"),d(te,"class","relative group"),d(go,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignConfig"),d(mo,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignModel"),d(mt,"href","https://huggingface.co/kakaobrain/align-base"),d(mt,"rel","nofollow"),d(ho,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),d(uo,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),d(_o,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignConfig"),d(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xe,"id","transformers.AlignTextConfig"),d(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(xe,"href","#transformers.AlignTextConfig"),d(ne,"class","relative group"),d(vo,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignTextModel"),d(bt,"href","https://huggingface.co/kakaobrain/align-base"),d(bt,"rel","nofollow"),d(bo,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),d(Ao,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pe,"id","transformers.AlignVisionConfig"),d(Pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Pe,"href","#transformers.AlignVisionConfig"),d(se,"class","relative group"),d($o,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignVisionModel"),d(kt,"href","https://huggingface.co/kakaobrain/align-base"),d(kt,"rel","nofollow"),d(ko,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),d(wo,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ce,"id","transformers.AlignProcessor"),d(Ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ce,"href","#transformers.AlignProcessor"),d(de,"class","relative group"),d(yo,"href","/docs/transformers/pr_22262/en/model_doc/efficientnet#transformers.EfficientNetImageProcessor"),d(To,"href","/docs/transformers/pr_22262/en/model_doc/bert#transformers.BertTokenizer"),d(xo,"href","/docs/transformers/pr_22262/en/model_doc/bert#transformers.BertTokenizerFast"),d(Eo,"href","/docs/transformers/pr_22262/en/model_doc/owlvit#transformers.OwlViTProcessor.decode"),d(Po,"href","/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),d(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Mo,"href","/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),d(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ie,"id","transformers.AlignModel"),d(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ie,"href","#transformers.AlignModel"),d(ce,"class","relative group"),d(Co,"href","/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel"),d(It,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(It,"rel","nofollow"),d(zo,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignModel"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(jo,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignModel"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Io,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignModel"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(De,"id","transformers.AlignTextModel"),d(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(De,"href","#transformers.AlignTextModel"),d(me,"class","relative group"),d(qo,"href","/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel"),d(Ft,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ft,"rel","nofollow"),d(No,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignTextModel"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Be,"id","transformers.AlignVisionModel"),d(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Be,"href","#transformers.AlignVisionModel"),d(ue,"class","relative group"),d(Lo,"href","/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel"),d(Ut,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Ut,"rel","nofollow"),d(Vo,"href","/docs/transformers/pr_22262/en/model_doc/align#transformers.AlignVisionModel"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,c),_(t,b,h),_(t,u,h),e(u,m),e(m,v),k(l,v,null),e(u,g),e(u,E),e(E,qa),_(t,Ln,h),_(t,Q,h),e(Q,ve),e(ve,Zo),k(tt,Zo,null),e(Q,Na),e(Q,Jo),e(Jo,La),_(t,Vn,h),_(t,O,h),e(O,Va),e(O,ot),e(ot,Oa),e(O,Da),e(O,eo),e(eo,Sa),e(O,Fa),e(O,to),e(to,Ba),e(O,Wa),_(t,On,h),_(t,oo,h),e(oo,Ga),_(t,Dn,h),_(t,no,h),e(no,Qo),e(Qo,Ra),_(t,Sn,h),_(t,X,h),e(X,be),e(be,Xo),k(nt,Xo,null),e(X,Ha),e(X,en),e(en,Ua),_(t,Fn,h),_(t,ao,h),e(ao,Ya),_(t,Bn,h),_(t,M,h),e(M,ro),e(ro,Ka),e(M,Za),e(M,so),e(so,Ja),e(M,Qa),e(M,io),e(io,Xa),e(M,er),e(M,lo),e(lo,tr),e(M,or),e(M,co),e(co,nr),e(M,ar),_(t,Wn,h),k(at,t,h),_(t,Gn,h),_(t,Ae,h),e(Ae,rr),e(Ae,rt),e(rt,sr),e(Ae,ir),_(t,Rn,h),_(t,ee,h),e(ee,$e),e($e,tn),k(st,tn,null),e(ee,lr),e(ee,on),e(on,dr),_(t,Hn,h),_(t,po,h),e(po,cr),_(t,Un,h),_(t,Y,h),e(Y,it),e(it,pr),e(it,lt),e(lt,fr),e(it,gr),e(Y,mr),e(Y,dt),e(dt,hr),e(dt,ct),e(ct,ur),e(dt,_r),e(Y,vr),e(Y,ke),e(ke,pt),e(pt,br),e(ke,Ar),e(ke,nn),e(nn,$r),e(ke,kr),_(t,Yn,h),_(t,fo,h),e(fo,wr),_(t,Kn,h),_(t,te,h),e(te,we),e(we,an),k(ft,an,null),e(te,yr),e(te,rn),e(rn,Tr),_(t,Zn,h),_(t,C,h),k(gt,C,null),e(C,xr),e(C,K),e(K,go),e(go,Er),e(K,Pr),e(K,mo),e(mo,Mr),e(K,Cr),e(K,mt),e(mt,zr),e(K,jr),e(C,Ir),e(C,oe),e(oe,qr),e(oe,ho),e(ho,Nr),e(oe,Lr),e(oe,uo),e(uo,Vr),e(oe,Or),e(C,Dr),k(ye,C,null),e(C,Sr),e(C,Te),k(ht,Te,null),e(Te,Fr),e(Te,ut),e(ut,Br),e(ut,_o),e(_o,Wr),e(ut,Gr),_(t,Jn,h),_(t,ne,h),e(ne,xe),e(xe,sn),k(_t,sn,null),e(ne,Rr),e(ne,ln),e(ln,Hr),_(t,Qn,h),_(t,I,h),k(vt,I,null),e(I,Ur),e(I,ae),e(ae,Yr),e(ae,vo),e(vo,Kr),e(ae,Zr),e(ae,bt),e(bt,Jr),e(ae,Qr),e(I,Xr),e(I,re),e(re,es),e(re,bo),e(bo,ts),e(re,os),e(re,Ao),e(Ao,ns),e(re,as),e(I,rs),k(Ee,I,null),_(t,Xn,h),_(t,se,h),e(se,Pe),e(Pe,dn),k(At,dn,null),e(se,ss),e(se,cn),e(cn,is),_(t,ea,h),_(t,q,h),k($t,q,null),e(q,ls),e(q,ie),e(ie,ds),e(ie,$o),e($o,cs),e(ie,ps),e(ie,kt),e(kt,fs),e(ie,gs),e(q,ms),e(q,le),e(le,hs),e(le,ko),e(ko,us),e(le,_s),e(le,wo),e(wo,vs),e(le,bs),e(q,As),k(Me,q,null),_(t,ta,h),_(t,de,h),e(de,Ce),e(Ce,pn),k(wt,pn,null),e(de,$s),e(de,fn),e(fn,ks),_(t,oa,h),_(t,N,h),k(yt,N,null),e(N,ws),e(N,z),e(z,ys),e(z,yo),e(yo,Ts),e(z,xs),e(z,To),e(To,Es),e(z,Ps),e(z,xo),e(xo,Ms),e(z,Cs),e(z,gn),e(gn,zs),e(z,js),e(z,Eo),e(Eo,Is),e(z,qs),e(N,Ns),e(N,ze),k(Tt,ze,null),e(ze,Ls),e(ze,xt),e(xt,Vs),e(xt,Po),e(Po,Os),e(xt,Ds),e(N,Ss),e(N,je),k(Et,je,null),e(je,Fs),e(je,Pt),e(Pt,Bs),e(Pt,Mo),e(Mo,Ws),e(Pt,Gs),_(t,na,h),_(t,ce,h),e(ce,Ie),e(Ie,mn),k(Mt,mn,null),e(ce,Rs),e(ce,hn),e(hn,Hs),_(t,aa,h),_(t,P,h),k(Ct,P,null),e(P,Us),e(P,zt),e(zt,Ys),e(zt,Co),e(Co,Ks),e(zt,Zs),e(P,Js),e(P,jt),e(jt,Qs),e(jt,It),e(It,Xs),e(jt,ei),e(P,ti),e(P,Z),k(qt,Z,null),e(Z,oi),e(Z,pe),e(pe,ni),e(pe,zo),e(zo,ai),e(pe,ri),e(pe,un),e(un,si),e(pe,ii),e(Z,li),k(qe,Z,null),e(P,di),e(P,D),k(Nt,D,null),e(D,ci),e(D,fe),e(fe,pi),e(fe,jo),e(jo,fi),e(fe,gi),e(fe,_n),e(_n,mi),e(fe,hi),e(D,ui),k(Ne,D,null),e(D,_i),k(Le,D,null),e(P,vi),e(P,S),k(Lt,S,null),e(S,bi),e(S,ge),e(ge,Ai),e(ge,Io),e(Io,$i),e(ge,ki),e(ge,vn),e(vn,wi),e(ge,yi),e(S,Ti),k(Ve,S,null),e(S,xi),k(Oe,S,null),_(t,ra,h),_(t,me,h),e(me,De),e(De,bn),k(Vt,bn,null),e(me,Ei),e(me,An),e(An,Pi),_(t,sa,h),_(t,L,h),k(Ot,L,null),e(L,Mi),e(L,Dt),e(Dt,Ci),e(Dt,qo),e(qo,zi),e(Dt,ji),e(L,Ii),e(L,St),e(St,qi),e(St,Ft),e(Ft,Ni),e(St,Li),e(L,Vi),e(L,F),k(Bt,F,null),e(F,Oi),e(F,he),e(he,Di),e(he,No),e(No,Si),e(he,Fi),e(he,$n),e($n,Bi),e(he,Wi),e(F,Gi),k(Se,F,null),e(F,Ri),k(Fe,F,null),_(t,ia,h),_(t,ue,h),e(ue,Be),e(Be,kn),k(Wt,kn,null),e(ue,Hi),e(ue,wn),e(wn,Ui),_(t,la,h),_(t,V,h),k(Gt,V,null),e(V,Yi),e(V,Rt),e(Rt,Ki),e(Rt,Lo),e(Lo,Zi),e(Rt,Ji),e(V,Qi),e(V,Ht),e(Ht,Xi),e(Ht,Ut),e(Ut,el),e(Ht,tl),e(V,ol),e(V,B),k(Yt,B,null),e(B,nl),e(B,_e),e(_e,al),e(_e,Vo),e(Vo,rl),e(_e,sl),e(_e,yn),e(yn,il),e(_e,ll),e(B,dl),k(We,B,null),e(B,cl),k(Ge,B,null),da=!0},p(t,[h]){const Kt={};h&2&&(Kt.$$scope={dirty:h,ctx:t}),ye.$set(Kt);const Tn={};h&2&&(Tn.$$scope={dirty:h,ctx:t}),Ee.$set(Tn);const xn={};h&2&&(xn.$$scope={dirty:h,ctx:t}),Me.$set(xn);const En={};h&2&&(En.$$scope={dirty:h,ctx:t}),qe.$set(En);const Zt={};h&2&&(Zt.$$scope={dirty:h,ctx:t}),Ne.$set(Zt);const Pn={};h&2&&(Pn.$$scope={dirty:h,ctx:t}),Le.$set(Pn);const Mn={};h&2&&(Mn.$$scope={dirty:h,ctx:t}),Ve.$set(Mn);const Cn={};h&2&&(Cn.$$scope={dirty:h,ctx:t}),Oe.$set(Cn);const R={};h&2&&(R.$$scope={dirty:h,ctx:t}),Se.$set(R);const zn={};h&2&&(zn.$$scope={dirty:h,ctx:t}),Fe.$set(zn);const jn={};h&2&&(jn.$$scope={dirty:h,ctx:t}),We.$set(jn);const In={};h&2&&(In.$$scope={dirty:h,ctx:t}),Ge.$set(In)},i(t){da||(w(l.$$.fragment,t),w(tt.$$.fragment,t),w(nt.$$.fragment,t),w(at.$$.fragment,t),w(st.$$.fragment,t),w(ft.$$.fragment,t),w(gt.$$.fragment,t),w(ye.$$.fragment,t),w(ht.$$.fragment,t),w(_t.$$.fragment,t),w(vt.$$.fragment,t),w(Ee.$$.fragment,t),w(At.$$.fragment,t),w($t.$$.fragment,t),w(Me.$$.fragment,t),w(wt.$$.fragment,t),w(yt.$$.fragment,t),w(Tt.$$.fragment,t),w(Et.$$.fragment,t),w(Mt.$$.fragment,t),w(Ct.$$.fragment,t),w(qt.$$.fragment,t),w(qe.$$.fragment,t),w(Nt.$$.fragment,t),w(Ne.$$.fragment,t),w(Le.$$.fragment,t),w(Lt.$$.fragment,t),w(Ve.$$.fragment,t),w(Oe.$$.fragment,t),w(Vt.$$.fragment,t),w(Ot.$$.fragment,t),w(Bt.$$.fragment,t),w(Se.$$.fragment,t),w(Fe.$$.fragment,t),w(Wt.$$.fragment,t),w(Gt.$$.fragment,t),w(Yt.$$.fragment,t),w(We.$$.fragment,t),w(Ge.$$.fragment,t),da=!0)},o(t){y(l.$$.fragment,t),y(tt.$$.fragment,t),y(nt.$$.fragment,t),y(at.$$.fragment,t),y(st.$$.fragment,t),y(ft.$$.fragment,t),y(gt.$$.fragment,t),y(ye.$$.fragment,t),y(ht.$$.fragment,t),y(_t.$$.fragment,t),y(vt.$$.fragment,t),y(Ee.$$.fragment,t),y(At.$$.fragment,t),y($t.$$.fragment,t),y(Me.$$.fragment,t),y(wt.$$.fragment,t),y(yt.$$.fragment,t),y(Tt.$$.fragment,t),y(Et.$$.fragment,t),y(Mt.$$.fragment,t),y(Ct.$$.fragment,t),y(qt.$$.fragment,t),y(qe.$$.fragment,t),y(Nt.$$.fragment,t),y(Ne.$$.fragment,t),y(Le.$$.fragment,t),y(Lt.$$.fragment,t),y(Ve.$$.fragment,t),y(Oe.$$.fragment,t),y(Vt.$$.fragment,t),y(Ot.$$.fragment,t),y(Bt.$$.fragment,t),y(Se.$$.fragment,t),y(Fe.$$.fragment,t),y(Wt.$$.fragment,t),y(Gt.$$.fragment,t),y(Yt.$$.fragment,t),y(We.$$.fragment,t),y(Ge.$$.fragment,t),da=!1},d(t){o(c),t&&o(b),t&&o(u),T(l),t&&o(Ln),t&&o(Q),T(tt),t&&o(Vn),t&&o(O),t&&o(On),t&&o(oo),t&&o(Dn),t&&o(no),t&&o(Sn),t&&o(X),T(nt),t&&o(Fn),t&&o(ao),t&&o(Bn),t&&o(M),t&&o(Wn),T(at,t),t&&o(Gn),t&&o(Ae),t&&o(Rn),t&&o(ee),T(st),t&&o(Hn),t&&o(po),t&&o(Un),t&&o(Y),t&&o(Yn),t&&o(fo),t&&o(Kn),t&&o(te),T(ft),t&&o(Zn),t&&o(C),T(gt),T(ye),T(ht),t&&o(Jn),t&&o(ne),T(_t),t&&o(Qn),t&&o(I),T(vt),T(Ee),t&&o(Xn),t&&o(se),T(At),t&&o(ea),t&&o(q),T($t),T(Me),t&&o(ta),t&&o(de),T(wt),t&&o(oa),t&&o(N),T(yt),T(Tt),T(Et),t&&o(na),t&&o(ce),T(Mt),t&&o(aa),t&&o(P),T(Ct),T(qt),T(qe),T(Nt),T(Ne),T(Le),T(Lt),T(Ve),T(Oe),t&&o(ra),t&&o(me),T(Vt),t&&o(sa),t&&o(L),T(Ot),T(Bt),T(Se),T(Fe),t&&o(ia),t&&o(ue),T(Wt),t&&o(la),t&&o(V),T(Gt),T(Yt),T(We),T(Ge)}}}const tc={local:"align",sections:[{local:"overview",title:"Overview"},{local:"usage",title:"Usage"},{local:"resources",title:"Resources"},{local:"transformers.AlignConfig",title:"AlignConfig"},{local:"transformers.AlignTextConfig",title:"AlignTextConfig"},{local:"transformers.AlignVisionConfig",title:"AlignVisionConfig"},{local:"transformers.AlignProcessor",title:"AlignProcessor"},{local:"transformers.AlignModel",title:"AlignModel"},{local:"transformers.AlignTextModel",title:"AlignTextModel"},{local:"transformers.AlignVisionModel",title:"AlignVisionModel"}],title:"ALIGN"};function oc(x){return Fd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dc extends Vd{constructor(c){super();Od(this,c,oc,ec,Dd,{})}}export{dc as default,tc as metadata};
